fop 1.1

## org.apache.fop.complexscripts.fonts
Class GlyphTable.ChainedCoverageSequenceRule

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphTable.Rule
          org.apache.fop.complexscripts.fonts.GlyphTable.CoverageSequenceRule
              org.apache.fop.complexscripts.fonts.GlyphTable.ChainedCoverageSequenceRule

Enclosing class:
  GlyphTable

    public static class GlyphTable.ChainedCoverageSequenceRule

extends GlyphTable.CoverageSequenceRule

The `ChainedCoverageSequenceRule` class implements a subclass of `CoverageSequenceRule` that supports matching on a specific glyph class sequence in a specific chained contextual.

Constructor Summary
`GlyphTable.ChainedCoverageSequenceRule(GlyphTable.RuleLookup[] lookups, int inputSequenceLength, GlyphCoverageTable[] coverages, GlyphCoverageTable[] backtrackCoverages, GlyphCoverageTable[] lookaheadCoverages)` Instantiate a ChainedCoverageSequenceRule.

Method Summary
`GlyphCoverageTable[]` `getBacktrackCoverages()`
`GlyphCoverageTable[]` `getLookaheadCoverages()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.CoverageSequenceRule
`getCoverages`

Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.Rule
`getInputSequenceLength, getLookups, resolveLookupReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlyphTable.ChainedCoverageSequenceRule

    public GlyphTable.ChainedCoverageSequenceRule(GlyphTable.RuleLookup[] lookups,
                                                  int inputSequenceLength,
                                                  GlyphCoverageTable[] coverages,
                                                  GlyphCoverageTable[] backtrackCoverages,
                                                  GlyphCoverageTable[] lookaheadCoverages)

  Instantiate a ChainedCoverageSequenceRule.

  Parameters:
    `lookups` - the rule's lookups
    `inputSequenceLength` - number of glyphs constituting input sequence (to be consumed)
    `coverages` - the rule's input glyph class sequence to match, starting with first glyph in sequence
    `backtrackCoverages` - the rule's backtrack glyph class sequence to match, starting with first glyph in sequence
    `lookaheadCoverages` - the rule's lookahead glyph class sequence to match, starting with first glyph in sequence

Method Detail

### getBacktrackCoverages

    public GlyphCoverageTable[] getBacktrackCoverages()

  Returns:
    the backtrack coverages

### getLookaheadCoverages

    public GlyphCoverageTable[] getLookaheadCoverages()

  Returns:
    the lookahead coverages

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GlyphTable.CoverageSequenceRule`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.